package seminar5;

public interface WeirdStack {
    /***
     * vlozi na vrchol zasobniku i
     * @param i
     */
    public void push(int i);

    /***
     * vlozi postupne na vrchol zasobniku vsechny prvky is
     * @param is
     */
    public void push(int[] is);

    /***
     * vrati hodnotu na vrcholu zasobniku (neodstranuje ji)
     * @return hodnota na vrcholu zasobniku
     */
    public int top();

    /***
     * vrati hodnotu na vrcholu zasobniku (odstrani ji)
     * @return hodnota na vrcholu zasobniku
     */
    public int pop();

    /***
     * projde zasobnik od vrcholu a vrati prvni zaporny prvek (ten je ze zasobniku odstranen)
     * @return prvni zaporny prvek
     */
    public int popFirstNegativeElement();

    /***
     * testuje, zda je zasobnik prazdny
     * @return TRUE pokud je zasobnik prazdny, jinak FALSE
     */
    public boolean isEmpty();
}
